cp ../Agos/Agos.Augustus.updated_w_annots.6ix21.pep.fa .
cp ../Apis/Apis.Augustus.updated_w_annots.13xii21.pep.fa .
cp ../Btab/Btab.Augustus.updated_w_annots.7vii21.pep.fa .
cp ../Cced/Cced.Augustus.updated_w_annots.7vii21.pep.fa .
cp ../Dcit/Dcit.Augustus.updated_w_annots.7vii21.pep.fa .
cp ../Dnox/Dnox.Augustus.updated_w_annots.7vii21.pep.fa .
cp ../Dvit/Dvit.Augustus.updated_w_annots.6ix21.pep.fa .
cp ../Elan/Elan.Augustus.updated_w_annots.7vii21.pep.fa .
cp ../Epel/Epel.Augustus.updated_w_annots.7vii21.pep.fa .
cp ../Hcor/Augustus.updated_w_annots.3ix21_final.pep.fa .
cp ../Lstr/Lstr.Augustus.updated_w_annots.7vii21.pep.fa .
cp ../Mhir/Mhir.Augustus.updated_w_annots.6ix21.pep.fa .
cp ../Mper/Mper.Augustus.updated_w_annots.13xii21.pep.fa .
cp ../Msac/Msac.Augustus.updated_w_annots.7vii21.pep.fa .
cp ../Nlug/Nlug.Augustus.updated_w_annots.6ix21.pep.fa .
cp ../Pnig/Pnig.Augustus.updated_w_annots.6ix21.pep.fa .
cp ../Psol/Psol.Augustus.updated_w_annots.6ix21.pep.fa .
cp ../Pven/Pven.Augustus.updated_w_annots.7vii21.pep.fa .
cp ../Rmai/Rmai.Augustus.updated_w_annots.6ix21.pep.fa .
cp ../Sfla/Sfla.Augustus.updated_w_annots.6ix21.pep.fa .
cp ../Tulm/Tulm.Augustus.updated_w_annots.7vii21.pep.fa .
cp ../Tvap/Tvap.Augustus.updated_w_annots.7vii21.pep.fa .
mv Augustus.updated_w_annots.3ix21_final.pep.fa Hcor.Augustus.updated_w_annots.3ix21.pep.fa 

for i in *_bicycle_classifier_0.72cutoff_v5.5.6_run2.txt
do
    species=${i//_bicycle_classifier_0.72cutoff_v5.5.6_run2.txt/}
	awk '{ print $1 }' ${i} | tail -n +2 > ${species}_bicycle_classifier_0.72cutoff_v5.5.6_transcripts.txt
	seqkit grep -f ${species}_bicycle_classifier_0.72cutoff_v5.5.6_transcripts.txt ${species}*.pep.fa \
	> ${species}_bicycle_classifier_0.72cutoff_v5.5.6.fa
	
	mafft --auto ${species}_bicycle_classifier_0.72cutoff_v5.5.6.fa > ${species}_bicycle_classifier_0.72cutoff_v5.5.6.msa
	hmmbuild --amino ${species}_bicycle_classifier_0.72cutoff_v5.5.6.profile ${species}_bicycle_classifier_0.72cutoff_v5.5.6.msa
	hmmpress ${species}_bicycle_classifier_0.72cutoff_v5.5.6.profile

	hmmsearch --cpu 16 --tblout hmmsearch.bicycle_within_${species}_v5.5.6.table.txt ${species}_bicycle_classifier_0.72cutoff_v5.5.6.profile ${species}*.pep.fa
done

#update again with newer Apis annotation
rm Apis.Augustus.updated_w_annots.13xii21.pep.fa
cp ../Apis/Apis.Augustus.updated_w_annots.22xii21.pep.fa .
for i in Apis_bicycle_classifier_0.72cutoff_v5.5.6_run2.txt
do
    species=${i//_bicycle_classifier_0.72cutoff_v5.5.6_run2.txt/}
	awk '{ print $1 }' ${i} | tail -n +2 > ${species}_bicycle_classifier_0.72cutoff_v5.5.6_transcripts.txt
	seqkit grep -f ${species}_bicycle_classifier_0.72cutoff_v5.5.6_transcripts.txt ${species}*.pep.fa \
	> ${species}_bicycle_classifier_0.72cutoff_v5.5.6.fa
	
	mafft --auto ${species}_bicycle_classifier_0.72cutoff_v5.5.6.fa > ${species}_bicycle_classifier_0.72cutoff_v5.5.6.msa
	hmmbuild --amino ${species}_bicycle_classifier_0.72cutoff_v5.5.6.profile ${species}_bicycle_classifier_0.72cutoff_v5.5.6.msa
	hmmpress ${species}_bicycle_classifier_0.72cutoff_v5.5.6.profile

	hmmsearch --cpu 16 --tblout hmmsearch.bicycle_within_${species}_v5.5.6.table.txt ${species}_bicycle_classifier_0.72cutoff_v5.5.6.profile ${species}*.pep.fa
done
